package com.bankaudit.rest.process.dao;

import java.util.List;
import java.util.Map;

import com.bankaudit.dto.process.EmailTemplateDto;

public interface EmailDao {

	EmailTemplateDto getAuditEmailDetailsbyAuditId(int legalEntityCode ,String auditId);
	
	EmailTemplateDto getAuditReviewEmailDetailsbyAuditId(int legalEntityCode ,String auditId);
	
	List<EmailTemplateDto> getAuditEmailDetailsForNotification(int legalEntityCode ,String notification);
	
	List<EmailTemplateDto> getAuditEmailDetailsOnAuditStatus(int legalEntityCode ,String reminderType, Map<String, String> thresholdMap );
}
